----------------------------------------------------
--  COMS W4115 PLT - 2014 Spring Term Project
--              HL-HDL compiler
--             Woon Lee (wgl2107)
----------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use work.globals.all;
use work.lib_comp.all;

ENTITY test3_top_tb is

end ENTITY test3_top_tb;

ARCHITECTURE behavioral of test3_top_tb is

COMPONENT test3_top is
port (
	clk : in  std_logic;
	rst : in  std_logic;
	strobe1 : in  std_logic;
	strobe2 : in  std_logic;
	addr : in std_logic_vector(2 downto 0);
	data_out : out std_logic_vector(7 downto 0)
);
end COMPONENT;

	signal clk :  std_logic;
	signal rst :  std_logic;
	signal strobe1 :  std_logic;
	signal strobe2 :  std_logic;
	signal addr : std_logic_vector(2 downto 0);
	signal data_out : std_logic_vector(7 downto 0);

begin

inst_test3_top : test3_top
	port map(
		clk => clk,
		rst => rst,
		strobe1 => strobe1,
		strobe2 => strobe2,
		addr => addr,
		data_out => data_out
	);



end;

